<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer0: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimer0
   </div>
   <div id="projectbrief">kmTimer0 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('globals_func.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented functions with links to the documentation:</div>

<h3><a id="index_k" name="index_k"></a>- k -</h3><ul>
<li>kmTimer0CalcDutyOnCycles()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a47cca8b1eba42937d624eb5f6a23a220">kmTimer0.h</a></li>
<li>kmTimer0CalcPerdiod()&#160;:&#160;<a class="el" href="km_timer0_8h.html#aba73372971e3733b5e3e4d9e8b3c8f71">kmTimer0.h</a></li>
<li>kmTimer0CalcPerdiodWithMinPwmAccuracy()&#160;:&#160;<a class="el" href="km_timer0_8h.html#ad95f00f7c1056bbd3fba55c9161add30">kmTimer0.h</a></li>
<li>kmTimer0ConfigureOCA()&#160;:&#160;<a class="el" href="km_timer0_8h.html#afc6d56c191960af0d09ff9ffc8ec8b2a">kmTimer0.h</a></li>
<li>kmTimer0ConfigureOCB()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a30c3cbc91d9d7b90d8067507527c0e78">kmTimer0.h</a></li>
<li>kmTimer0DisableInterruptCompA()&#160;:&#160;<a class="el" href="km_timer0_8h.html#ab48771910ebbb7dcf465672d5cddffec">kmTimer0.h</a></li>
<li>kmTimer0DisableInterruptCompB()&#160;:&#160;<a class="el" href="km_timer0_8h.html#ab1c9d20493949629823224eda00cdc81">kmTimer0.h</a></li>
<li>kmTimer0DisableInterruptOVF()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a032735ee808c5aa29dee0ab94c080a74">kmTimer0.h</a></li>
<li>kmTimer0DisableInterruptsAll()&#160;:&#160;<a class="el" href="km_timer0_8h.html#ae93c074be8ab001182f5604103ec5870">kmTimer0.h</a></li>
<li>kmTimer0EnableInterruptCompA()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a52dc36f46b03d745f8c64ac9f2627441">kmTimer0.h</a></li>
<li>kmTimer0EnableInterruptCompB()&#160;:&#160;<a class="el" href="km_timer0_8h.html#ac069582a344cfb94073e56e78338d89e">kmTimer0.h</a></li>
<li>kmTimer0EnableInterruptOVF()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a784bb75c217b6a3f09ddded6c2ea9115">kmTimer0.h</a></li>
<li>kmTimer0Init()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a539d34c9ec846e17f7d1097abe71aab7">kmTimer0.h</a></li>
<li>kmTimer0InitExternal()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a58603afb14c6f815f1f2d40f7b998e2b">kmTimer0.h</a></li>
<li>kmTimer0InitOnAccuratePeriodGenerateOutputClockA()&#160;:&#160;<a class="el" href="km_timer0_8h.html#af312d955b6ebc923abb0bd004ba712bf">kmTimer0.h</a></li>
<li>kmTimer0InitOnAccurateTimeCompABInterruptCallback()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a5bb1a78d0c1c4a50e66bbb00012c8dbc">kmTimer0.h</a></li>
<li>kmTimer0InitOnAccurateTimeCompAInterruptCallback()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a1b719098af98a50935602f8afb744b30">kmTimer0.h</a></li>
<li>kmTimer0InitOnAccurateTimeFastPwm()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a1975856dc4fde2cd7ecb9dd55d146f0a">kmTimer0.h</a></li>
<li>kmTimer0InitOnAccurateTimePcPwm()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a0a65186712ad06d291640ca11a167e86">kmTimer0.h</a></li>
<li>kmTimer0InitOnPrescalerBottomToTopFastPwm()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a496b4a8af97dde6828425468e08bf35f">kmTimer0.h</a></li>
<li>kmTimer0InitOnPrescalerBottomToTopFastPwmOCA()&#160;:&#160;<a class="el" href="km_timer0_8h.html#af0270df81d6061af8de461549887362b">kmTimer0.h</a></li>
<li>kmTimer0InitOnPrescalerBottomToTopOvfCompABInterruptCallback()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a1e42302d4fc86c8f7aa1b677507e7e1f">kmTimer0.h</a></li>
<li>kmTimer0InitOnPrescalerBottomToTopPcPwm()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a836845af51a7eb50f0fb137ddc9dff10">kmTimer0.h</a></li>
<li>kmTimer0InitOnPrescalerBottomToTopPcPwmOCA()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a5471bcf13315bd732b98c777aa94f2ad">kmTimer0.h</a></li>
<li>kmTimer0RegisterCallbackCompA()&#160;:&#160;<a class="el" href="km_timer0_8h.html#acfab9d62c1d07f6fcb10d43018d6c0b5">kmTimer0.h</a></li>
<li>kmTimer0RegisterCallbackCompB()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a3768b6d0062659c49dc7a6deedc02a01">kmTimer0.h</a></li>
<li>kmTimer0RegisterCallbackOVF()&#160;:&#160;<a class="el" href="km_timer0_8h.html#ab9c930ae053fa2de6fb8fb2f0f2df86a">kmTimer0.h</a></li>
<li>kmTimer0Restart()&#160;:&#160;<a class="el" href="km_timer0_8h.html#ada85d9e281d685b9949856b7392e4acd">kmTimer0.h</a></li>
<li>kmTimer0SetCallbackUserDataCompA()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a0717f017e2b7191cccbf8e3dd875260f">kmTimer0.h</a></li>
<li>kmTimer0SetCallbackUserDataCompB()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a89ac04e020a89147f8ea14f38048abc6">kmTimer0.h</a></li>
<li>kmTimer0SetCallbackUserDataOVF()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a8a6a820e7adde051bcc02439e18260b1">kmTimer0.h</a></li>
<li>kmTimer0SetPwmDutyAccurateTimeModes()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a0d5a23b4a50f61c7ce33b545ca0e912b">kmTimer0.h</a></li>
<li>kmTimer0SetPwmDutyBottomToTop()&#160;:&#160;<a class="el" href="km_timer0_8h.html#ac5613c77f89910152d0f442174207d17">kmTimer0.h</a></li>
<li>kmTimer0SetPwmInversion()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a6220e3e2778464cc93961506f99b2e32">kmTimer0.h</a></li>
<li>kmTimer0SetValueCompA()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a56576262b9e2e28d3dd19bf5898aef37">kmTimer0.h</a></li>
<li>kmTimer0SetValueCompB()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a1f1184c67fc27ca18846d0994e608279">kmTimer0.h</a></li>
<li>kmTimer0Start()&#160;:&#160;<a class="el" href="km_timer0_8h.html#afd0b91e655600791c1089e918f1fa8af">kmTimer0.h</a></li>
<li>kmTimer0Stop()&#160;:&#160;<a class="el" href="km_timer0_8h.html#aae77527e3cfedbbec943bc238967a77b">kmTimer0.h</a></li>
<li>kmTimer0UnregisterCallbackCompA()&#160;:&#160;<a class="el" href="km_timer0_8h.html#aa67d5f855f246899defc8033a99440f0">kmTimer0.h</a></li>
<li>kmTimer0UnregisterCallbackCompB()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a7966dd3b98250d4d45f11f7112dfd6a3">kmTimer0.h</a></li>
<li>kmTimer0UnregisterCallbackOVF()&#160;:&#160;<a class="el" href="km_timer0_8h.html#a214b1fa227a66440b89541b00b364d11">kmTimer0.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
